Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.gef
Class AGFViewPart

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.amp.axf.view.ModelViewPart
                      org.eclipse.amp.agf.gef.AGFViewPart

All Implemented Interfaces:
  java.util.EventListener, IModelPart, org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

Direct Known Subclasses:
  EditPartViewPart, GraphViewPart

    public abstract class AGFViewPart

extends ModelViewPart

Author:
  mparker

Field Summary

Fields inherited from class org.eclipse.amp.axf.view.ModelViewPart
`propertySheetPage`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`AGFViewPart()`

Method Summary
`void` | `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`protected void` | `createSelectionListener(org.eclipse.jface.viewers.ISelectionProvider provider)` Creates the selection listener.
`void` | `createSelectionSynchronizer()`
`void` | `dispose()`
`java.lang.Object` | `getAdapter(java.lang.Class type)`
`protected abstract org.eclipse.jface.viewers.ISelectionProvider` | `getSelectionProvider()`

Methods inherited from class org.eclipse.amp.axf.view.ModelViewPart
`addModelListener, createModelListeners, getModel, getModelListeners, getName, getPropertySheetPage, isSingle, propertyChange, removeModelListener, removeSelectionListener, setFocus, setInput, setModel, setPartName`

Methods inherited from class org.eclipse.ui.part.ViewPart
`checkSite, getViewSite, init, init, saveState, setContentDescription, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, firePropertyChange, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Constructor Detail

### AGFViewPart

    public AGFViewPart()

Method Detail

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `createPartControl` in class `ModelViewPart`
  Parameters:
    `parent` -
  See Also:
    `ModelViewPart.createPartControl(org.eclipse.swt.widgets.Composite)`

### createSelectionListener

    protected void createSelectionListener(org.eclipse.jface.viewers.ISelectionProvider provider)

  Description copied from class: `ModelViewPart`
  Creates the selection listener.

  Overrides:
    `createSelectionListener` in class `ModelViewPart`
  Parameters:
    `provider` - the provider

### createSelectionSynchronizer

    public void createSelectionSynchronizer()

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class type)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Overrides:
    `getAdapter` in class `ModelViewPart`
  See Also:
    `WorkbenchPart.getAdapter(java.lang.Class)`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `dispose` in class `ModelViewPart`
  See Also:
    `WorkbenchPart.dispose()`

### getSelectionProvider

    protected abstract org.eclipse.jface.viewers.ISelectionProvider getSelectionProvider()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD